--- FL/mac.H.orig
+++ FL/mac.H
@@ -68,14 +68,17 @@
 #define MAC_OS_X_VERSION_10_12 101200
 #endif
 
-#ifndef NSINTEGER_DEFINED // appears with 10.5 in NSObjCRuntime.h
-#if defined(__LP64__) && __LP64__
-typedef long NSInteger;
-typedef unsigned long NSUInteger;
+#ifdef __OBJC__
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_10
+#include <objc/NSObjCRuntime.h>
 #else
-typedef int NSInteger;
-typedef unsigned int NSUInteger;
+#include <Foundation/NSObjCRuntime.h>
 #endif
+
+#ifndef NSINTEGER_DEFINED // appears with 10.5 in NSObjCRuntime.h
+#error "NSINTEGER_DEFINED not defined"
+#endif
+
 #endif
 
 #if MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_4
@@ -88,11 +91,7 @@
 }; // a region is the union of a series of rectangles
 
 #ifndef CGFLOAT_DEFINED //appears with 10.5 in CGBase.h
-#if defined(__LP64__) && __LP64__
-typedef double CGFloat;
-#else
-typedef float CGFloat;
-#endif
+#error "CGFLOAT_DEFINED not defined"
 #endif // CGFLOAT_DEFINED
 
 #else
--- src/drivers/Cocoa/Fl_Cocoa_Printer_Driver.mm.orig
+++ src/drivers/Cocoa/Fl_Cocoa_Printer_Driver.mm
@@ -127,7 +127,7 @@
   else
 #endif
   {
-#if !defined(__LP64__) || !__LP64__
+#if (!defined(__LP64__) || !__LP64__) && (MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_5)
     Boolean accepted;
     status = PMCreateSession(&printSession);
     if (status != noErr) return 1;
